bitel.billing.server.contract.bean

## Class AddressParamCache

- java.lang.Object
- - bitel.billing.server.contract.bean.AddressParamCache

-     public class AddressParamCache
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dropCache()`
    `java.util.Set<java.lang.Integer>` | `findContract(int hid, java.lang.String flat, java.lang.String room, int pod, int floor, java.util.Set<java.lang.Integer> parameters)`
    `java.util.Set<java.lang.Integer>` | `findHouse(int streetId, int areaId, int quarterId, int house, java.lang.String frac)`
    `static AddressParamCache` | `getCache(java.sql.Connection con)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCache

          public static AddressParamCache getCache(java.sql.Connection con)

    - #### dropCache

          public static final void dropCache()

    - #### findContract

          public java.util.Set<java.lang.Integer> findContract(int hid,
                                                               java.lang.String flat,
                                                               java.lang.String room,
                                                               int pod,
                                                               int floor,
                                                               java.util.Set<java.lang.Integer> parameters)

    - #### findHouse

          public java.util.Set<java.lang.Integer> findHouse(int streetId,
                                                            int areaId,
                                                            int quarterId,
                                                            int house,
                                                            java.lang.String frac)